// get formats from active document
var myFormats = app.activeDocument.dtCrossReferenceFormats;
var myDocumentName = app.activeDocument.name;

// create new document for our report
var myDocument = app.documents.add();

// create text frame
var myTextFrame = myDocument.pages.item(0).textFrames.add({geometricBounds: myGetBounds(myDocument)});

// add header
myTextFrame.parentStory.insertionPoints.item(-1).fontStyle = "Bold";
myTextFrame.parentStory.insertionPoints.item(-1).pointSize = "14";
myTextFrame.parentStory.insertionPoints.item(-1).contents = "List of Cross-Reference Formats in document " + myDocumentName + "\r";

myTextFrame.parentStory.insertionPoints.item(-1).fontStyle = "Regular";
myTextFrame.parentStory.insertionPoints.item(-1).pointSize = "10";
myTextFrame.parentStory.insertionPoints.item(-1).contents = "\r";

for (var i = 0; i < myFormats.length; i++)
{
	// add list item
	myTextFrame.parentStory.insertionPoints.item(-1).fontStyle = "Bold";
	myTextFrame.parentStory.insertionPoints.item(-1).contents += myFormats[i].formatName + "\r";
	myTextFrame.parentStory.insertionPoints.item(-1).fontStyle = "Regular";
	myTextFrame.parentStory.insertionPoints.item(-1).contents += myFormats[i].formatDefinition + "\r\r";
}

function myGetBounds(myDocument)
{
	myPage = myDocument.pages.item(0);
	var myPageWidth = myDocument.documentPreferences.pageWidth;
	var myPageHeight = myDocument.documentPreferences.pageHeight
	
	if (myPage.side == PageSideOptions.leftHand)
	{
		var myX2 = myPage.marginPreferences.left;
		var myX1 = myPage.marginPreferences.right;
	}
	else
	{
		var myX1 = myPage.marginPreferences.left;
		var myX2 = myPage.marginPreferences.right;
	}

	var myY1 = myPage.marginPreferences.top;
	var myX2 = myPageWidth - myX2;
	var myY2 = myPageHeight - myPage.marginPreferences.bottom;
	
	return [myY1, myX1, myY2, myX2];
}
